%define indilib_version 1.4.1
%define xplanet_version 1.2.1

%bcond_with indilib

Summary:	A Desktop Planetarium
Name:		kstars
Version:	17.08.2
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/kstars
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
BuildRequires:	extra-cmake-modules
BuildRequires:	xplanet >= %{xplanet_version}
BuildRequires:	kf5config-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5plotting-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	libfli-devel
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
%if %{with indilib}
BuildRequires:	pkgconfig(libindi) >= %{indilib_version}
BuildRequires:	indilib-devel-static >= %{indilib_version}
Requires:	indilib >= %{indilib_version}
%endif
Requires:	xplanet
Conflicts:	kde5-l10n < 17.04

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files -f %{name}.lang
%doc COPYING COPYING.DOC README README.ephemerides README.customize README.images README.planetmath README.timekeeping AUTHORS
%{_kde5_applicationsdir}/org.kde.kstars.desktop
%{_kde5_bindir}/kstars
%{_kde5_datadir}/config.kcfg/kstars.kcfg
%{_kde5_datadir}/kstars
%{_kde5_datadir}/sounds/KDE-KStars-*.ogg
%{_kde5_iconsdir}/*/*/apps/kstars.*
%{_kde5_libdir}/libhtmesh.a
%{_kde5_libexecdir}/kauth/kauth_kstars_helper
%{_kde5_notificationsdir}/kstars.notifyrc
%{_appdatadir}/org.kde.kstars.appdata.xml
%{_datadir}/dbus-1/system-services/org.kde.kf5auth.kstars.service
%{_datadir}/polkit-1/actions/org.kde.kf5auth.kstars.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.kf5auth.kstars.conf

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang

%changelog

* Fri Apr 13 2018 Denis Silakov <denis.silakov@rosalab.ru> 17.08.2-2
- (a25bc0d) Rebuild with new cfitsio

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (832c009) Build requires kf5notifyconfig-devel
- (832c009) Update files
- (Andrey Bondrov: 78f76fc) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (63ef225) New version 17.04.3

* Wed Jun 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (e1ad8b8) Merge locales from kde5-l10n
- (e1ad8b8) Build without indilib support for now
- (Andrey Bondrov: 637623a) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (50241ef) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (4f72ab0) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (2a203e3) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (4bf44e0) Requires libindi 1.3.1
- (Andrey Bondrov: 9c8a408) Build requires pkgconfig(libraw_r)
- (Andrey Bondrov: 7be331e) Update files
- (Andrey Bondrov: bbf1f85) Build requires pkgconfig(Qt5Concurrent)
- (Andrey Bondrov: 7b6b49f) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (19fcc79) MassBuild#1212: Increase release tag

* Wed Nov 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (5c316e4) Upload sources
- (Andrey Bondrov: 36a53d6) New version 16.08.2
- (Andrey Bondrov: 36a53d6) Switch to KF5

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-2
- (437cb30) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (cf35c8d) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (a173fe8) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (5de6a27) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (464ecfb) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Mon May 05 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (241d91d) Add missing rpmlintrc file
- (Andrey Bondrov: cc562b6) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (1dfe67b) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (41bc88f) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (b6b7607) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (25bde16) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (970c79c) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (3e35147) LOG New version 4.10.4


